| Home | Libraries | People | FAQ | More

##### begin

###### Description

Returns the result type of `begin`.

###### Synopsis

    template<typename Seq>
    struct begin
    {
        typedef unspecified type;
    };

Table 1.19. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Seq` | A model of Forward Sequence | Argument sequence

###### Expression Semantics

    result_of::begin<Seq>::type

Return type: An iterator modelling the same traversal concept as `Seq`.

Semantics: Returns the type of an iterator to the first element of `Seq`.

/sequence/intrinsic/begin.hpp>

###### Example

    typedef vector<int> vec;
    typedef result_of::begin<vec>::type it;
    BOOST_MPL_ASSERT((boost::is_same<result_of::deref<it>::type, int&>))